class DCOPStub

# class DCOPStub | Abstract base class for dcop stubs as created by the dcopidl2cpp compiler. More...
Definition | `#include <dcopstub.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Status { CallSucceeded, CallFailed }

#### Public Methods

- DCOPStub ( const QCString& app, const QCString& obj )
- DCOPStub ( DCOPClient* client, const QCString& app, const QCString& obj )
- virtual ~DCOPStub ()
- QCString app () const
- QCString obj () const
- Status status () const
- bool ok () const

#### Protected Types

- enum never_use_t { never_use }

#### Protected Methods

- void setStatus ( Status _status )
- virtual void callFailed ()
- DCOPClient* dcopClient ()
- DCOPStub ( never_use_t )
- virtual void virtual_hook ( int id, void* data )

## Detailed Description

Abstract base class for dcop stubs as created by the dcopidl2cpp compiler.

DCOPStub ( const QCString& app, const QCString& obj ) | ### DCOPStub

Creates a DCOPStub for application `app` and object `obj`

Parameters:

app | the application id
obj | the object id

DCOPStub ( DCOPClient* client, const QCString& app, const QCString& obj ) | ### DCOPStub

Creates a DCOPStub for application `app` and object `obj` that operates on the DCOPClient `client`

Parameters:

client | the DCOPClient
app | the application id
obj | the object id

~DCOPStub () | ### ~DCOPStub

[virtual]

QCString app () | ### app

[const]

Return the application id.

Returns: the application id

QCString obj () | ### obj

[const]

Return the object id.

Returns: the object id

enum Status { CallSucceeded, CallFailed } | ### Status

Status status () | ### status

[const]

Return the status of the last call, either `CallSucceeded` or `CallFailed`.

Returns: the status of the last call

See also: ok();

bool ok () | ### ok

[const]

Return whether no error occured,

Returns: true if the last call was successful, false otherwise

See also: status();

void setStatus ( Status _status ) | ### setStatus

[protected]

Sets the status to status. Possible values are 'CallSucceeded' and 'CallFailed'

Parameters:

_status | the new status

See also: status()

void callFailed () | ### callFailed

[protected virtual]

Invoked whenever a call fails. The default implementation sets the status to CallFailed.

DCOPClient* dcopClient () | ### dcopClient

[protected]

The dcopClient this stub operates on. Either the specific one specified in the constructor or DCOPClient::mainClient.

Returns: the stub's DCOPClient

enum never_use_t { never_use } | ### never_use_t

[protected]

Never use. Used only for default ctors of inherited stubs, because of the way ctors of virtual base classes work. Otherwise dcopidl2cpp would have to call ctors of all, even indirect, bases.

DCOPStub ( never_use_t ) | ### DCOPStub

[protected]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:00 2003, using kdoc 2.0a54.